From 373bf5bc185917961046de629ea78296e06d0931 Mon Sep 17 00:00:00 2001
From: Gerard Vermeulen <gerard.vermeulen@posteo.net>
Date: Tue, 23 Jan 2024 09:12:48 +0100
Subject: [PATCH] Make an org-lint warning more helpful

* lisp/org-lint.el (org-lint-named-result): Make the warning
correspond with section "16.7 Exporting Code Blocks" of the manual.

Link: https://list.orgmode.org/60f395fcacacdc6a7d9de3cd7a00032b@posteo.net/
---
 lisp/org-lint.el | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/lisp/org-lint.el b/lisp/org-lint.el
index 893e504d3..8290b621f 100644
--- a/lisp/org-lint.el
+++ b/lisp/org-lint.el
@@ -1362,10 +1362,11 @@ Use \"export %s\" instead"
 (defun org-lint-named-result (ast)
   (org-element-map ast org-element-all-elements
     (lambda (el)
-      (when (and (org-element-property :results el)
-                 (org-element-property :name el))
+      (when-let ((results (org-element-property :results el))
+                 (name (org-element-property :name el)))
         (list (org-element-begin el)
-              "#+name: in results of evaluation will be replaced by re-evaluating the src block.  Use #+name in the block instead.")))))
+              (format "To resolve links to %S in evaluation results, add e.g. \":exports both\" to evaluated block."
+                      name))))))
 
 (defun org-lint-spurious-colons (ast)
   (org-element-map ast '(headline inlinetask)
-- 
2.42.0

